## t
Tag htmlTag

Places the given HTML tag div around its children

Tag Information
Tag Class | org.apache.myfaces.custom.htmlTag.HtmlTagTag
TagExtraInfo Class | None
Body Content | JSP
Display Name | None

Attributes
Name | Required | Request-time | Type | Description
binding | false | false | `java.lang.String` | Component binding.
enabledOnUserRole | false | false | `java.lang.String` | If user is in given role, this component will be rendered normally. If not, no hyperlink is rendered but all nested tags (=body) are rendered.
forceId | false | false | `java.lang.String` | If true, this component will force the use of the specified id when rendering.
forceIdIndex | false | false | `java.lang.String` | If false, this component will not append a '[n]' suffix (where 'n' is the row index) to components that are contained within a "list." This value will be true by default and the value will be ignored if the value of forceId is false (or not specified.)
id | false | false | `java.lang.String` | Every component may have an unique id. Automatically created if omitted.
rendered | false | false | `java.lang.String` | If false, this component will not be rendered.
style | false | false | `java.lang.String` | The style to use for this tag.
styleClass | false | false | `java.lang.String` | The class to use for this tag.
value | true | false | `java.lang.String` | The name of the tag. For example, use h1 to generate an h1 tag.
visibleOnUserRole | false | false | `java.lang.String` | If user is in given role, this component will be rendered normally. If not, nothing is rendered and the body of this tag will be skipped.

Variables
No Variables Defined.

Output Generated by Tag Library Documentation Generator. Java, JSP, and JavaServer Pages are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries. Copyright 2002-4 Sun Microsystems, Inc. 4150 Network Circle Santa Clara, CA 95054, U.S.A. All Rights Reserved.